import requests
import json
import os
from splunk.clilib import cli_common as cli

splunk_home = os.getenv('SPLUNK_HOME', '/opt/splunk')
confFile = os.path.join(splunk_home,'etc','apps','censornet_livestream','local','emailsetup.conf')
conf = cli.readConfFile(confFile)
if conf['emailsetup']['emailenabled'] == '1':
    url = 'https://stream.clouduss.com/email/' + conf['emailsetup']['emailkey']
    r = requests.get(url)
    for row in json.loads(r.text):
        outRow=[]
        print json.dumps(row)
